loadFruitTypes = {}
local modDir = g_currentModDirectory

function loadFruitTypes.registerFruitTypes(self, superFunc)
    superFunc(self)

    local xml = loadXMLFile("mod_fruitTypes", modDir .. "xml/fruitTypes.xml")
    g_fruitTypeManager:loadFruitTypes(xml, nil, false)
    delete(xml)
end

FruitTypeManager.loadDefaultTypes = Utils.overwrittenFunction(FruitTypeManager.loadDefaultTypes, loadFruitTypes.registerFruitTypes)